## Apache Zeta Components Manual :: Docs For Class ezcDebugVariableDumpTool

### Debug::ezcDebugVariableDumpTool

### Class ezcDebugVariableDumpTool

Tool class to dump variables in a way similar to Xdebug.

This tool class allows to dump variables similar to the way it is done by Xdebug (@link http://xdebug.org). The class is used in the ezcDebugPhpStacktraceIterator to unify the variable dumps with those generated by ezcDebugXdebugStacktraceIterator.

Source for this file: /Debug/src/tools/dump.php

Version: | //autogen//

### Method Summary

public static string | `dumpVariable( $arg , $maxData , $maxChildren , $maxDepth )` Returns the string representation of an variable.

### Methods

#### dumpVariable

static string dumpVariable( mixed $arg , int $maxData , int $maxChildren , int $maxDepth )

Returns the string representation of an variable.

Returns the dump of the given variable, respecting the $maxData and $maxChildren paramaters when arrays or objects are dumped. $maxDepth is the maximum recursion depth when dumping arrays and objects.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$arg` | mixed |
`$maxData` | int |
`$maxChildren` | int |
`$maxDepth` | int |

Documentation generated by phpDocumentor 1.4.3